## freoffice 0.2-9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_definitions(-DNO_PIGMENT)

find_package(Qt4 4.5.0 REQUIRED)
SET(QT_USE_QTDBUS 1)
SET(QT_USE_QTNETWORK TRUE)
SET(QT_USE_QTMAEMO5 TRUE)
INCLUDE(${QT_USE_FILE})

include_directories(${CMAKE_BINARY_DIR} ${KOMAIN_INCLUDES} ${KOPAGEAPP_INCLUDES} ${CMAKE_SOURCE_DIR}/kword/part ${CMAKE_SOURCE_DIR}/kspread/part ${CMAKE_SOURCE_DIR}/kspread /usr/include/KDE)

SET(FreOffice_RCCS FreOffice.qrc)
QT4_ADD_RESOURCES(FreOffice_RCC_SRCS ${FreOffice_RCCS})

QT4_WRAP_UI(FreOfficeUiSrc MainWindow.ui ZoomDialog.ui AboutDialog.ui CollabDialog.ui)

QT4_WRAP_CPP(FreOfficeMocSrc MainWindow.h Accelerator.h VirtualKeyBoard.h ZoomDialog.h HildonMenu.h HildonApplication.h Splash.h NotifyDialog.h DBusAdaptor.h PresentationTool.h AboutDialog.h OfficeInterface.h CollabDialog.h Collaborate.h CollabServer.h CollabClient.h  FlowLayout.h PreviewDialog.h MainWindowAdaptor.h PresentationToolAdaptor.h NotesDialog.h PreviewButton.h FoCellToolFactory.h FoCellTool.h SlidingMotionDialog.h GlWidget.h GlPresenter.h FoExternalEditor.h FoCellEditor.h RemoveSheet.h)

add_executable(FreOffice Main.cpp MainWindow.cpp Accelerator.cpp VirtualKeyBoard.cpp ZoomDialog.cpp HildonMenu.cpp HildonApplication.cpp Splash.cpp NotifyDialog.cpp PresentationTool.cpp DBusAdaptor.cpp AboutDialog.cpp CollabDialog.cpp Collaborate.cpp CollabServer.cpp CollabClient.cpp  FlowLayout.cpp PreviewDialog.cpp MainWindowAdaptor.cpp PresentationToolAdaptor.cpp NotesDialog.cpp PreviewButton.cpp FoCellTool.cpp FoCellToolFactory.cpp SlidingMotionDialog.cpp GlWidget.cpp GlPresenter.cpp FoExternalEditor.cpp FoCellEditor.cpp RemoveSheet.cpp
  ${FreOfficeUiSrc} ${FreOfficeMocSrc} ${FreOffice_RCC_SRCS})

find_library( QT_QMAEMO5_LIBRARY QtMaemo5 HINTS ${QT_LIBRARIES} )

if(QT_QMAEMO5_LIBRARY)
    target_link_libraries(FreOffice ${QT_LIBRARIES} ${QT_QMAEMO5_LIBRARY} ${QT_QTNETWORK_LIBRARIES} ${QT_QTOPENGL_LIBRARY} ${X11_X11_LIB} komain kopageapp kwordprivate kspreadcommon)
else(QT_QMAEMO5_LIBRARY)
    target_link_libraries(FreOffice ${QT_LIBRARIES} ${QT_QTNETWORK_LIBRARIES} ${QT_QTOPENGL_LIBRARY} ${X11_X11_LIB} komain kopageapp kwordprivate kspreadcommon)
endif(QT_QMAEMO5_LIBRARY)

install(TARGETS FreOffice RUNTIME DESTINATION bin)
install(FILES FreOffice.desktop DESTINATION share/applications/hildon)
install(FILES images/178x200/freoffice.png DESTINATION share/icons/hicolor/178x200/apps)
install(FILES images/64x64/freoffice.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES com.nokia.FreOffice.service DESTINATION share/dbus-1/services)
install(FILES images/48x48/Document.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/Presenter.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/SpreadSheet.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES templates/NewDocument.odt DESTINATION share/freoffice-templates/.templates)
install(FILES templates/Text_Only.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Chart.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Header.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Image.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Outline.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/NewSpread.ods DESTINATION share/freoffice-templates/.templates)
if(QT_QMAEMO5_LIBRARY)
    install(FILES Acceleration/mce.ini DESTINATION /etc/mce)
endif(QT_QMAEMO5_LIBRARY)
install(FILES OfficeInterface.h DESTINATION include/office)

=== obj-i486-linux-gnu/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/Fre-i486/usr/bin/cmake

# The command to remove a file.
RM = /targets/Fre-i486/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/manikcha/freoffice/f-office

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/manikcha/freoffice/f-office/obj-i486-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/Fre-i486/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/Fre-i486/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/Fre-i486/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/Fre-i486/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/Fre-i486/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/Fre-i486/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/manikcha/freoffice/f-office/obj-i486-linux-gnu/CMakeFiles /home/manikcha/freoffice/f-office/obj-i486-linux-gnu/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/manikcha/freoffice/f-office/obj-i486-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FreOffice

# Build rule for target.
FreOffice: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FreOffice
.PHONY : FreOffice

# fast build rule for target.
FreOffice/fast:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/build
.PHONY : FreOffice/fast

AboutDialog.o: AboutDialog.cpp.o
.PHONY : AboutDialog.o

# target to build an object file
AboutDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.o
.PHONY : AboutDialog.cpp.o

AboutDialog.i: AboutDialog.cpp.i
.PHONY : AboutDialog.i

# target to preprocess a source file
AboutDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.i
.PHONY : AboutDialog.cpp.i

AboutDialog.s: AboutDialog.cpp.s
.PHONY : AboutDialog.s

# target to generate assembly for a file
AboutDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.s
.PHONY : AboutDialog.cpp.s

CollabClient.o: CollabClient.cpp.o
.PHONY : CollabClient.o

# target to build an object file
CollabClient.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.o
.PHONY : CollabClient.cpp.o

CollabClient.i: CollabClient.cpp.i
.PHONY : CollabClient.i

# target to preprocess a source file
CollabClient.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.i
.PHONY : CollabClient.cpp.i

CollabClient.s: CollabClient.cpp.s
.PHONY : CollabClient.s

# target to generate assembly for a file
CollabClient.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.s
.PHONY : CollabClient.cpp.s

CollabDialog.o: CollabDialog.cpp.o
.PHONY : CollabDialog.o

# target to build an object file
CollabDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.o
.PHONY : CollabDialog.cpp.o

CollabDialog.i: CollabDialog.cpp.i
.PHONY : CollabDialog.i

# target to preprocess a source file
CollabDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.i
.PHONY : CollabDialog.cpp.i

CollabDialog.s: CollabDialog.cpp.s
.PHONY : CollabDialog.s

# target to generate assembly for a file
CollabDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.s
.PHONY : CollabDialog.cpp.s

CollabServer.o: CollabServer.cpp.o
.PHONY : CollabServer.o

# target to build an object file
CollabServer.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.o
.PHONY : CollabServer.cpp.o

CollabServer.i: CollabServer.cpp.i
.PHONY : CollabServer.i

# target to preprocess a source file
CollabServer.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.i
.PHONY : CollabServer.cpp.i

CollabServer.s: CollabServer.cpp.s
.PHONY : CollabServer.s

# target to generate assembly for a file
CollabServer.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.s
.PHONY : CollabServer.cpp.s

Collaborate.o: Collaborate.cpp.o
.PHONY : Collaborate.o

# target to build an object file
Collaborate.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.o
.PHONY : Collaborate.cpp.o

Collaborate.i: Collaborate.cpp.i
.PHONY : Collaborate.i

# target to preprocess a source file
Collaborate.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.i
.PHONY : Collaborate.cpp.i

Collaborate.s: Collaborate.cpp.s
.PHONY : Collaborate.s

# target to generate assembly for a file
Collaborate.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.s
.PHONY : Collaborate.cpp.s

DBusAdaptor.o: DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.o

# target to build an object file
DBusAdaptor.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.cpp.o

DBusAdaptor.i: DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.i

# target to preprocess a source file
DBusAdaptor.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.cpp.i

DBusAdaptor.s: DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.s

# target to generate assembly for a file
DBusAdaptor.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.cpp.s

FoCellTool.o: FoCellTool.cpp.o
.PHONY : FoCellTool.o

# target to build an object file
FoCellTool.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.o
.PHONY : FoCellTool.cpp.o

FoCellTool.i: FoCellTool.cpp.i
.PHONY : FoCellTool.i

# target to preprocess a source file
FoCellTool.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.i
.PHONY : FoCellTool.cpp.i

FoCellTool.s: FoCellTool.cpp.s
.PHONY : FoCellTool.s

# target to generate assembly for a file
FoCellTool.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.s
.PHONY : FoCellTool.cpp.s

FoCellToolFactory.o: FoCellToolFactory.cpp.o
.PHONY : FoCellToolFactory.o

# target to build an object file
FoCellToolFactory.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.o
.PHONY : FoCellToolFactory.cpp.o

FoCellToolFactory.i: FoCellToolFactory.cpp.i
.PHONY : FoCellToolFactory.i

# target to preprocess a source file
FoCellToolFactory.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.i
.PHONY : FoCellToolFactory.cpp.i

FoCellToolFactory.s: FoCellToolFactory.cpp.s
.PHONY : FoCellToolFactory.s

# target to generate assembly for a file
FoCellToolFactory.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.s
.PHONY : FoCellToolFactory.cpp.s

HildonApplication.o: HildonApplication.cpp.o
.PHONY : HildonApplication.o

# target to build an object file
HildonApplication.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.o
.PHONY : HildonApplication.cpp.o

HildonApplication.i: HildonApplication.cpp.i
.PHONY : HildonApplication.i

# target to preprocess a source file
HildonApplication.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.i
.PHONY : HildonApplication.cpp.i

HildonApplication.s: HildonApplication.cpp.s
.PHONY : HildonApplication.s

# target to generate assembly for a file
HildonApplication.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.s
.PHONY : HildonApplication.cpp.s

HildonMenu.o: HildonMenu.cpp.o
.PHONY : HildonMenu.o

# target to build an object file
HildonMenu.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.o
.PHONY : HildonMenu.cpp.o

HildonMenu.i: HildonMenu.cpp.i
.PHONY : HildonMenu.i

# target to preprocess a source file
HildonMenu.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.i
.PHONY : HildonMenu.cpp.i

=== qtcreator-build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@echo "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@echo "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@echo "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@echo "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@echo "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@echo "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@echo "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build/CMakeFiles /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build/CMakeFiles/progress.make
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/manikcha/scratchbox/users/manikcha/home/manikcha/freoffice/f-office/qtcreator-build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FreOffice

# Build rule for target.
FreOffice: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FreOffice
.PHONY : FreOffice

# fast build rule for target.
FreOffice/fast:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/build
.PHONY : FreOffice/fast

AboutDialog.o: AboutDialog.cpp.o
.PHONY : AboutDialog.o

# target to build an object file
AboutDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.o
.PHONY : AboutDialog.cpp.o

AboutDialog.i: AboutDialog.cpp.i
.PHONY : AboutDialog.i

# target to preprocess a source file
AboutDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.i
.PHONY : AboutDialog.cpp.i

AboutDialog.s: AboutDialog.cpp.s
.PHONY : AboutDialog.s

# target to generate assembly for a file
AboutDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/AboutDialog.cpp.s
.PHONY : AboutDialog.cpp.s

CollabClient.o: CollabClient.cpp.o
.PHONY : CollabClient.o

# target to build an object file
CollabClient.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.o
.PHONY : CollabClient.cpp.o

CollabClient.i: CollabClient.cpp.i
.PHONY : CollabClient.i

# target to preprocess a source file
CollabClient.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.i
.PHONY : CollabClient.cpp.i

CollabClient.s: CollabClient.cpp.s
.PHONY : CollabClient.s

# target to generate assembly for a file
CollabClient.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabClient.cpp.s
.PHONY : CollabClient.cpp.s

CollabDialog.o: CollabDialog.cpp.o
.PHONY : CollabDialog.o

# target to build an object file
CollabDialog.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.o
.PHONY : CollabDialog.cpp.o

CollabDialog.i: CollabDialog.cpp.i
.PHONY : CollabDialog.i

# target to preprocess a source file
CollabDialog.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.i
.PHONY : CollabDialog.cpp.i

CollabDialog.s: CollabDialog.cpp.s
.PHONY : CollabDialog.s

# target to generate assembly for a file
CollabDialog.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabDialog.cpp.s
.PHONY : CollabDialog.cpp.s

CollabServer.o: CollabServer.cpp.o
.PHONY : CollabServer.o

# target to build an object file
CollabServer.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.o
.PHONY : CollabServer.cpp.o

CollabServer.i: CollabServer.cpp.i
.PHONY : CollabServer.i

# target to preprocess a source file
CollabServer.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.i
.PHONY : CollabServer.cpp.i

CollabServer.s: CollabServer.cpp.s
.PHONY : CollabServer.s

# target to generate assembly for a file
CollabServer.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/CollabServer.cpp.s
.PHONY : CollabServer.cpp.s

Collaborate.o: Collaborate.cpp.o
.PHONY : Collaborate.o

# target to build an object file
Collaborate.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.o
.PHONY : Collaborate.cpp.o

Collaborate.i: Collaborate.cpp.i
.PHONY : Collaborate.i

# target to preprocess a source file
Collaborate.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.i
.PHONY : Collaborate.cpp.i

Collaborate.s: Collaborate.cpp.s
.PHONY : Collaborate.s

# target to generate assembly for a file
Collaborate.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/Collaborate.cpp.s
.PHONY : Collaborate.cpp.s

DBusAdaptor.o: DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.o

# target to build an object file
DBusAdaptor.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.o
.PHONY : DBusAdaptor.cpp.o

DBusAdaptor.i: DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.i

# target to preprocess a source file
DBusAdaptor.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.i
.PHONY : DBusAdaptor.cpp.i

DBusAdaptor.s: DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.s

# target to generate assembly for a file
DBusAdaptor.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/DBusAdaptor.cpp.s
.PHONY : DBusAdaptor.cpp.s

FoCellTool.o: FoCellTool.cpp.o
.PHONY : FoCellTool.o

# target to build an object file
FoCellTool.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.o
.PHONY : FoCellTool.cpp.o

FoCellTool.i: FoCellTool.cpp.i
.PHONY : FoCellTool.i

# target to preprocess a source file
FoCellTool.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.i
.PHONY : FoCellTool.cpp.i

FoCellTool.s: FoCellTool.cpp.s
.PHONY : FoCellTool.s

# target to generate assembly for a file
FoCellTool.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellTool.cpp.s
.PHONY : FoCellTool.cpp.s

FoCellToolFactory.o: FoCellToolFactory.cpp.o
.PHONY : FoCellToolFactory.o

# target to build an object file
FoCellToolFactory.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.o
.PHONY : FoCellToolFactory.cpp.o

FoCellToolFactory.i: FoCellToolFactory.cpp.i
.PHONY : FoCellToolFactory.i

# target to preprocess a source file
FoCellToolFactory.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.i
.PHONY : FoCellToolFactory.cpp.i

FoCellToolFactory.s: FoCellToolFactory.cpp.s
.PHONY : FoCellToolFactory.s

# target to generate assembly for a file
FoCellToolFactory.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/FoCellToolFactory.cpp.s
.PHONY : FoCellToolFactory.cpp.s

HildonApplication.o: HildonApplication.cpp.o
.PHONY : HildonApplication.o

# target to build an object file
HildonApplication.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.o
.PHONY : HildonApplication.cpp.o

HildonApplication.i: HildonApplication.cpp.i
.PHONY : HildonApplication.i

# target to preprocess a source file
HildonApplication.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.i
.PHONY : HildonApplication.cpp.i

HildonApplication.s: HildonApplication.cpp.s
.PHONY : HildonApplication.s

# target to generate assembly for a file
HildonApplication.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonApplication.cpp.s
.PHONY : HildonApplication.cpp.s

HildonMenu.o: HildonMenu.cpp.o
.PHONY : HildonMenu.o

# target to build an object file
HildonMenu.cpp.o:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.o
.PHONY : HildonMenu.cpp.o

HildonMenu.i: HildonMenu.cpp.i
.PHONY : HildonMenu.i

# target to preprocess a source file
HildonMenu.cpp.i:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.i
.PHONY : HildonMenu.cpp.i

HildonMenu.s: HildonMenu.cpp.s
.PHONY : HildonMenu.s

# target to generate assembly for a file
HildonMenu.cpp.s:
	$(MAKE) -f CMakeFiles/FreOffice.dir/build.make CMakeFiles/FreOffice.dir/HildonMenu.cpp.s
.PHONY : HildonMenu.cpp.s

Main.o: Main.cpp.o
.PHONY : Main.o

=== debian/changelog ===
freoffice (0.2-9) unstable; urgency=low

  * Enabled Enabled

 -- Lassi Nieminen <lassniem@gmail.com>  Wed, 13 Aug 2010 08:51:15 +0200

=== debian/control ===
Source: freoffice
#Section: user/_Hiro uncomment when it goes into Hiro
Section: user/office
Priority: extra
Maintainer: Lassi Nieminen <lassniem@gmail.com>
Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), mce-dev, kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
Standards-Version: 3.8.0

Package: freoffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
Description: Office file viewer based on KOffice
 Simple office file viewer for maemo
XB-Maemo-Display-Name:FreOffice
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAFxQAABcUBST5X5AAAAAd0
 SU1FB9oEAgclKhb/9BYAAAo+SURBVGjetZpdjJxVGcd//+n2m0KkbEJsxIYS
 LmxiUVsEYaaNzs5rC60xfkSRGi8as6vSC0uUpMR44WcCF4DNbowxQiSCIAlU
 Ku/MQOgMEF0arUi9MWhKqBgLNbXYln79vZhzZs68nd3urnKSze7OvOec5zzP
 //k/H+cVsxzlao12s57+vwwYlrTS9mpgraRrbA9LujQ8dgQ4DOy3vQ94GTgI
 HG4368fiWpWRjFYjn5U8mqvw5WptjaQttjcD66Tzl7Ld2yh8X/hs0vZuYHe7
 Wf8jQKWa0Wrm//8DROGDxnNJ77N9iSRsRwF9oTXdOYEKhzoKHJCUtRr5W7Ox
 RGkmgofNFpartZ2S/g1cD1wcNSrJM1WIOgNJth3nXwx8BDhWrtZ22l6Y7j1n
 C0RNlKu1D0v6EbA2KFEFyBiQwQJFmKTPpFYK8wdZK363z/ZX2836ZNHnZmyB
 crVGq5FTGcm2As9G4cOm7kcEsm2dD40zts8MMILpHdQptIJl1gJ7y9XaF9rN
 OpWRbHYHqIxkEe/bbT8ALIha7aqvtyG2jwOvAQ/brtheDiyVtARYAiwFlofv
 fmn7NdvHw0FVWDOecoGkn5ertdsCCmYGoQQ224G7JM23DZLVmxMt8bbtu4AX
 2s36nlky2ibgBkk7AuYjLqNFIkxP27693azfO8i5S4NgU67WvijpHmB+0IYV
 Fo2aD5pcIenOKPx0pi6SQrtZ3yNpJ7BC0iPRAh0kkhLDfOCeyki2NUC6b715
 6T+v/vUVKiPZ9ZIeDYeL60ZtCDgu6evtZv0bK1dddQLg4F9fIf093Xg1eeaK
 K1ch6USrkT9yxZWrjkhaDyxIfSUc6Byw6b1Xrmq2m/VDAyFUrtaQtBB4Dlhb
 gE006SHgllYjb/EOjMpIth54EFgRtEYBTvts3wi8HZmplDqt7dttrw2TU9hI
 0iHbG1qNvFWuZueZciacPd34wM1baTXyvcAG24eC+lM4OaQpt6fMpCTCXgQc
 SyguZYbjkja1GnkrcfIFktbYvhz4J/D7drN+elreHg0OOJHBWP092O8HzgB/
 YiL7e8ESe2wvjqQRHTwcalm7WX+rMpJRiptJygMlpqB3iJzf7Gi+GxsWAD+x
 PSnpCUm/lTRRGckWTRd0EuE3Yf8N6ddITyH9mdF8XcKCe23fkQofHTxE8Ryg
 1ci7EFoTMkmHB/rYptXIdxUC1KeAzyXUbeCLwGenFHys3hF+NP8k8DBSKcnu
 LkH6NmP1xfHxdrN+H/BoQZExFK2ujGRrUhrdAlwSMZeY7G3gKxFvCQdfLWl+
 yhS25wHvHgibsTqM12Csfh3wELCUzl6deGKD/UHsi+IewafGbJ9y71nC35cE
 mSmVq7VltjcX8pYY5u+S9OYAfZ7rD5rqyysKiUMU/pPAXqQFBIbrewZeAt4q
 zH4DuDsRPB2bKyPZsiFgGFiXZpVBrcdtP39BTCf5/nny9zS/EXgAez4QszoT
 Od4+h/RDxmsnEghFSzwXSGRJhHiA9jpguCRpZcB9jAvRXG+0m/XfzIkTU9iM
 5tdi78FeCohe3dC1JtJGxmvPdFkqGSFiv5nUEWnCuLIUnLeXFfbytednmh4M
 HB3NfwZ4hgjPCBtb2EL6J9IWxmvNrpMX8rIwXigke/HP1aWQJnejsnqYHi84
 7sxHhyo3Az9FWkLUXk/wc8AZ7C8xXvsNo3nnwIUR97a9q8/ZehnE2iFJ1xTr
 2IDnA7MSuuOYEfsfBB6jw0wiRtJQO2CfAz7ORPY0o/l5mh/gXwcKRVH8/JqS
 7eEpivGTs20PlHz2LF999t3AJDCEFGETNS+kI0g3M5E9PQg2U4yTxQovjOGS
 pEsHdA/OSDo9KwMghs6efJtzp28NWW5kmZSfjwKfYLyWd518Rsb16ZByFD+/
 dGiaSXNx3V5gmroGH5rtooXOR1+9XQpNp+KEIUlDs0OQOTNv0SJK8+8HTvRh
 vzcuxn6M0XxjYKmZLj9UPHjoaBwpAYeL3YPws3i2uj+nefPYteEfwHXAf7rY
 7wQvhwO9C+kJRvNaiBMzWX3xIFRIOlwC9hfNFX6vnqWd6UJnInsJaQtwtMtQ
 kUJ7peyTjNU3Bcq90Oqrk2Cbyrm/ZHtf0LiTRA7bX5lzodJx0GeArcC/unCK
 rGSXkIawf8ZYfdNUlkgC2dds46QFE2TeVwqN1m5wiJmfpBvSnGSOh9gNfBTp
 bLBALyJ3vHIY+3FG82pItacKZNeHCrEvkEl6uRS6xCTaj3XA8nK1tnHOaUR0
 0olsP5AB/+7z+R7kSkhPMpp/ZFBMKFdrN0lanuRoqSMcjE48GauxpGO2BLix
 MpLNCEYDaTdCY7z2NNKtSMeDJZzkRiVgAdIdjNUXpjV22PdG20uSDmCsyiZt
 Hy61m/VjocWdOkiszHYAy4sRUJ1cptBwBklnBzp35xC7gQ2BYiHN7zvzP4S9
 rOCkl0naEZvBBWXtbjfrx2JFttv20bTLHBxlITAesRidyvYrIVI78Zkztl8b
 aIXINOO1F4HPA291IdTLUP8A/CdaO+w5bnt+oSVvSUeB3d2SMlwuHIhVT1rU
 A5+pjGS3FcR6zPZDiTll+wFJv7pAeg0T2eOhdj6R5PdHgG8xkZ1IGGi7pE+n
 RX3iwAdajfyPAKVuf0XKYtGctuPCxB+Uq7X1scnabtZPSdom6dpQm14naazV
 yE+Xq9mF2Wkiewr7aqSbsDNgNRPZ7yPrlau1DcD3k8ZCX980kEKnGVdo6O6U
 9J3U05Na9HVJ61uN/C+VkQzbxbuyuVMusHbT59i35yEqI9nVwN7QbypiX8Cd
 7Wb9u1FmpUHD9kJJ7VBv9k0OmngduKXdrD/7TrQWy9XaBkm/AC4vKjGw5IvA
 jZJORb8c1F7/sO1nQ5O1lKIpNneBO1qN/L6k0zxXgZEUm2XbA2yWFBCswHqn
 gPWtRj55ofb67yR9WVIpFvrREjHJs31vuVp7RNJlU4T+aa+tCvHjsnK19ghw
 T5pARoUFGUq2t7Ua+WQxJk13wXGbpLuB+WnLJaFN2T4V+jbPt5v1J2ep/ZsC
 HHY4tlv6ldW94AB2RIsXra3pLvcCfd7rTg0b4UTCCJF2jwNvSnrB9q5Qw560
 fSZgd0jSImB1SMyul7Q8wIUCXkhgUwK2txr5fVNdvWoG98JbgR8Di4qd6zRk
 pLcgSVpxNnw3L218pZd806x50va2drP+4HT3xvOmu0kJ9wYvrVx1VRNYA6xI
 TJ12Ovo8Lubu6jRwS0mNES9N0pZ5ulCM7C8Cn203609diJ7nTYfTg+EQrUZ+
 aOWqq+6XdFLSx/rq317eIg163+B8k6sYY5KrJEnaKWlbu1l/dSax5YI39UlO
 fqrVyL9n+yLg+VhtJVlssWU45asGgc3SgxwFnpN0Udjj1EzpeVYve6RYrIxk
 7wc2294SUgoGN6f7sE/hFn/S9hPAE+1m/U9zeWNFsw0+xQ3K1doyScO2VwaW
 WRu6fcO2Lw1CH5HUfd1G0su2D0o63Grkx/6XdOS/c2+nwNgE0uwAAAAASUVO
 RK5CYII=

Package: freoffice-dev
Section: libdevel
Architecture: any
Depends: freoffice (>= ${binary:Version})
Description: Dev files for freoffice plugin development.
 Freoffice plugin development files.

## freoffice 0.3-0

=== debian/changelog ===
freoffice (0.3-0) unstable; urgency=high

  * More bug fixes.
  * Presentation Editing enabled
  * Insert images in to document

 -- Mani <maninc@gmail.com>  Thu, 30 Sep 2010 08:51:15 +0200

freoffice (0.2-10) unstable; urgency=low

  * Fixed some critical bugs

 -- Mani <maninc@gmail.com>  Fri, 27 Aug 2010 08:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: freoffice
-#Section: user/_Hiro uncomment when it goes into Hiro
 Section: user/office
 Priority: extra
-Maintainer: Lassi Nieminen <lassniem@gmail.com>
-Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), mce-dev, kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev
+Maintainer: Mani Chandrasekar <maninc@gmail.com>
+Build-Depends: cdbs (>= 0.4.42), cmake (>= 2.6.2), debhelper (>= 5), mce-dev, kofficemeego-dev, libqt4-dev, maemo-optify, automoc, quilt, pkg-kde-tools, libxi-dev, libsoprano-dev (>= 2.5.2), libxml2-dev, openssl, libssl-dev
 Standards-Version: 3.8.0
 
 Package: freoffice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
-Description: Office file viewer based on KOffice
- Simple office file viewer for maemo
+Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9), libsoprano4 (>= 2.5.2)
+Description: FreOffice is a mobile Office suite powered by KOffice
+ Users can view office documents(Microsoft formats and ODF), carry basic editing and create new documents
+XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=freoffice
 XB-Maemo-Display-Name:FreOffice
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## freoffice 0.3-1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_definitions(-DNO_PIGMENT)

find_package(Qt4 4.5.0 REQUIRED)
SET(QT_USE_QTDBUS 1)
SET(QT_USE_QTNETWORK TRUE)
SET(QT_USE_QTMAEMO5 TRUE)
SET(QT_USE_QTXML TRUE)
INCLUDE(${QT_USE_FILE})

include_directories(${CMAKE_BINARY_DIR} ${KOMAIN_INCLUDES} ${KOPAGEAPP_INCLUDES} ${CMAKE_SOURCE_DIR}/kword/part ${CMAKE_SOURCE_DIR}/kspread/part ${CMAKE_SOURCE_DIR}/kspread /usr/include/libxml2 /usr/include)

SET(FreOffice_RCCS FreOffice.qrc)
QT4_ADD_RESOURCES(FreOffice_RCC_SRCS ${FreOffice_RCCS})

find_library( QT_QMAEMO5_LIBRARY QtMaemo5 HINTS ${QT_LIBRARIES} )

if(QT_QMAEMO5_LIBRARY)

QT4_WRAP_UI(FreOfficeUiSrc MainWindow.ui ZoomDialog.ui AboutDialog.ui CollabDialog.ui)

QT4_WRAP_CPP(FreOfficeMocSrc MainWindow.h Accelerator.h VirtualKeyBoard.h
VirtualKeyBoardLanguageDownloader.h ZoomDialog.h HildonMenu.h HildonApplication.h Splash.h NotifyDialog.h DBusAdaptor.h PresentationTool.h AboutDialog.h CollabDialog.h Collaborate.h CollabServer.h CollabClient.h  PreviewDialog.h MainWindowAdaptor.h PresentationToolAdaptor.h NotesDialog.h PreviewButton.h FoCellToolFactory.h FoCellTool.h SlidingMotionDialog.h GlWidget.h GlPresenter.h FoExternalEditor.h FoCellEditor.h DigitalSignatureDialog.h FoDocumentRdf.h RdfInfoDialog.h FoImageSelectionWidget.h)

add_executable(FreOffice Main.cpp MainWindow.cpp Accelerator.cpp VirtualKeyBoard.cpp VirtualKeyBoardLanguageDownloader.cpp ZoomDialog.cpp HildonMenu.cpp HildonApplication.cpp Splash.cpp NotifyDialog.cpp PresentationTool.cpp DBusAdaptor.cpp AboutDialog.cpp CollabDialog.cpp Collaborate.cpp CollabServer.cpp CollabClient.cpp  FlowLayout.cpp PreviewDialog.cpp MainWindowAdaptor.cpp PresentationToolAdaptor.cpp NotesDialog.cpp PreviewButton.cpp FoCellTool.cpp FoCellToolFactory.cpp SlidingMotionDialog.cpp GlWidget.cpp GlPresenter.cpp FoExternalEditor.cpp FoCellEditor.cpp RemoveSheet.cpp DigitalSignatureDialog.cpp FoDocumentRdf.cpp RdfInfoDialog.cpp FoImageSelectionWidget.cpp
  ${FreOfficeUiSrc} ${FreOfficeMocSrc} ${FreOffice_RCC_SRCS})

else(QT_QMAEMO5_LIBRARY)

QT4_WRAP_UI(FreOfficeUiSrc MainWindow.ui ZoomDialog.ui AboutDialog.ui CollabDialog.ui)

QT4_WRAP_CPP(FreOfficeMocSrc MainWindow.h Accelerator.h VirtualKeyBoard.h 
VirtualKeyBoardLanguageDownloader.h
ZoomDialog.h HildonMenu.h HildonApplication.h Splash.h NotifyDialog.h DBusAdaptor.h PresentationTool.h AboutDialog.h CollabDialog.h Collaborate.h CollabServer.h CollabClient.h  PreviewDialog.h MainWindowAdaptor.h PresentationToolAdaptor.h NotesDialog.h PreviewButton.h FoCellToolFactory.h FoCellTool.h SlidingMotionDialog.h GlWidget.h GlPresenter.h FoExternalEditor.h FoCellEditor.h DigitalSignatureDialog.h FoImageSelectionWidget.h)

add_executable(FreOffice Main.cpp MainWindow.cpp Accelerator.cpp VirtualKeyBoard.cpp VirtualKeyBoardLanguageDownloader.cpp ZoomDialog.cpp HildonMenu.cpp HildonApplication.cpp Splash.cpp NotifyDialog.cpp PresentationTool.cpp DBusAdaptor.cpp AboutDialog.cpp CollabDialog.cpp Collaborate.cpp CollabServer.cpp CollabClient.cpp  FlowLayout.cpp PreviewDialog.cpp MainWindowAdaptor.cpp PresentationToolAdaptor.cpp NotesDialog.cpp PreviewButton.cpp FoCellTool.cpp FoCellToolFactory.cpp SlidingMotionDialog.cpp GlWidget.cpp GlPresenter.cpp FoExternalEditor.cpp FoCellEditor.cpp RemoveSheet.cpp DigitalSignatureDialog.cpp FoImageSelectionWidget.cpp
  ${FreOfficeUiSrc} ${FreOfficeMocSrc} ${FreOffice_RCC_SRCS})

endif(QT_QMAEMO5_LIBRARY)


if(QT_QMAEMO5_LIBRARY)
    target_link_libraries(FreOffice ${QT_LIBRARIES} ${QT_QMAEMO5_LIBRARY} ${QT_QTNETWORK_LIBRARIES} ${QT_QTOPENGL_LIBRARY} ${X11_X11_LIB} komain kopageapp kwordprivate kspreadcommon xml2 ssl crypto soprano )
else(QT_QMAEMO5_LIBRARY)
    target_link_libraries(FreOffice ${QT_LIBRARIES} ${QT_QTNETWORK_LIBRARIES} ${QT_QTOPENGL_LIBRARY} ${OPENGL_LIBRARIES} ${X11_X11_LIB} komain kopageapp kwordprivate kspreadcommon xml2 ssl crypto)
endif(QT_QMAEMO5_LIBRARY)

install(TARGETS FreOffice RUNTIME DESTINATION bin)
install(FILES freoffice.desktop DESTINATION share/applications/hildon)
install(FILES images/178x200/freoffice.png DESTINATION share/icons/hicolor/178x200/apps)
install(FILES images/64x64/freoffice.png DESTINATION share/icons/hicolor/64x64/apps)
install(FILES com.nokia.FreOffice.service DESTINATION share/dbus-1/services)
install(FILES images/48x48/Document.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/Presenter.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES images/48x48/SpreadSheet.png DESTINATION share/icons/hicolor/48x48/hildon)
install(FILES templates/NewDocument.odt DESTINATION share/freoffice-templates/.templates)
install(FILES templates/Text_Only.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Chart.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Header.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Image.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/Text_With_Outline.odp DESTINATION share/freoffice-templates/.presentationtemplates)
install(FILES templates/NewSpread.ods DESTINATION share/freoffice-templates/.templates)
if(QT_QMAEMO5_LIBRARY)
    install(FILES Acceleration/mce.ini DESTINATION /etc/mce)
endif(QT_QMAEMO5_LIBRARY)
install(FILES OfficeInterface.h DESTINATION include/office)

=== debian/changelog ===
freoffice (0.3-1) unstable; urgency=low

  * Corrected control to depend on recent files of kofficemeego & chart & libkok
  * *Added possibility to give feedback from the application

 -- Lassi <lassniem@gmail.com>  Fri, 31 Sep 2010 08:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: freoffice
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9), libsoprano4 (>= 2.5.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemeego (>= 2.3.0-1), koffice-kchart (>= 2.3.0-1), libsoprano4 (>= 2.5.2), libkok (>= 4:4.3.2-17), freoffice-feedback-plugin
 Description: FreOffice is a mobile Office suite powered by KOffice
  Users can view office documents(Microsoft formats and ODF), carry basic editing and create new documents
 XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=freoffice

=== debian/rules ===
#!/usr/bin/make -f

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_MODULE_PATH=/usr/share/kde4/apps/cmake/modules

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
